LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XFlatParagraphIteratorProvider Interface Reference

provides functionality to ... More...

`import"XFlatParagraphIteratorProvider.idl";`

Inheritance diagram for XFlatParagraphIteratorProvider:

## Public Member Functions
com::sun::star::text::XFlatParagraphIterator | getFlatParagraphIterator ([in] long nType, [in] boolean bAutomatic) raises ( com::sun::star::lang::IllegalArgumentException )
| get XFlatParagraphIterator More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides functionality to ...

Since
  OOo 3.0

## Member Function Documentation

## ◆ getFlatParagraphIterator()

com::sun::star::text::XFlatParagraphIterator getFlatParagraphIterator | ( | [in] long | nType,
|  | [in] boolean | bAutomatic
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

get XFlatParagraphIterator

Parameters

  nType | Type of text markup see TextMarkupType.
  bAutomatic | Automatic or interactive checking.

Returns
  the iterator.

Exceptions

  IllegalArgumentException | if any argument is wrong.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XFlatParagraphIteratorProvider.idl